"""
    Engines API

    Allow clients to fetch Analytics through APIs.  # noqa: E501

    The version of the OpenAPI document: v3:[pa,spar,vault,pub,quant,fi,axp,afi,npo,bpm,fpo,others],v1:[fiab]
    Contact: analytics.api.support@factset.com
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from fds.analyticsapi.engines.model_utils import (  # noqa: F401
    ApiTypeError,
    ModelComposed,
    ModelNormal,
    ModelSimple,
    cached_property,
    change_keys_js_to_python,
    convert_js_args_to_python_args,
    date,
    datetime,
    file_type,
    none_type,
    validate_get_composed_info,
)

def lazy_import():
    from fds.analyticsapi.engines.model.quant_date_list import QuantDateList
    from fds.analyticsapi.engines.model.quant_fds_date import QuantFdsDate
    from fds.analyticsapi.engines.model.quant_fql_expression import QuantFqlExpression
    from fds.analyticsapi.engines.model.quant_identifier_universe import QuantIdentifierUniverse
    from fds.analyticsapi.engines.model.quant_screening_expression import QuantScreeningExpression
    from fds.analyticsapi.engines.model.quant_screening_expression_universe import QuantScreeningExpressionUniverse
    from fds.analyticsapi.engines.model.quant_universal_screen_parameter import QuantUniversalScreenParameter
    from fds.analyticsapi.engines.model.quant_universal_screen_universe import QuantUniversalScreenUniverse
    globals()['QuantDateList'] = QuantDateList
    globals()['QuantFdsDate'] = QuantFdsDate
    globals()['QuantFqlExpression'] = QuantFqlExpression
    globals()['QuantIdentifierUniverse'] = QuantIdentifierUniverse
    globals()['QuantScreeningExpression'] = QuantScreeningExpression
    globals()['QuantScreeningExpressionUniverse'] = QuantScreeningExpressionUniverse
    globals()['QuantUniversalScreenParameter'] = QuantUniversalScreenParameter
    globals()['QuantUniversalScreenUniverse'] = QuantUniversalScreenUniverse


class QuantCalculationParameters(ModelNormal):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    Attributes:
      allowed_values (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          with a capitalized key describing the allowed value and an allowed
          value. These dicts store the allowed enum values.
      attribute_map (dict): The key is attribute name
          and the value is json key in definition.
      discriminator_value_class_map (dict): A dict to go from the discriminator
          variable value to the discriminator class name.
      validations (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          that stores validations for max_length, min_length, max_items,
          min_items, exclusive_maximum, inclusive_maximum, exclusive_minimum,
          inclusive_minimum, and regex.
      additional_properties_type (tuple): A tuple of classes accepted
          as additional properties values.
    """

    allowed_values = {
    }

    validations = {
    }

    additional_properties_type = None

    _nullable = False

    @cached_property
    def openapi_types():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded

        Returns
            openapi_types (dict): The key is attribute name
                and the value is attribute type.
        """
        lazy_import()
        return {
            'screening_expression_universe': (QuantScreeningExpressionUniverse,),  # noqa: E501
            'universal_screen_universe': (QuantUniversalScreenUniverse,),  # noqa: E501
            'identifier_universe': (QuantIdentifierUniverse,),  # noqa: E501
            'fds_date': (QuantFdsDate,),  # noqa: E501
            'date_list': (QuantDateList,),  # noqa: E501
            'screening_expression': ([QuantScreeningExpression],),  # noqa: E501
            'fql_expression': ([QuantFqlExpression],),  # noqa: E501
            'universal_screen_parameter': ([QuantUniversalScreenParameter],),  # noqa: E501
            'all_universal_screen_parameters': ([object],),  # noqa: E501
        }

    @cached_property
    def discriminator():
        return None


    attribute_map = {
        'screening_expression_universe': 'screeningExpressionUniverse',  # noqa: E501
        'universal_screen_universe': 'universalScreenUniverse',  # noqa: E501
        'identifier_universe': 'identifierUniverse',  # noqa: E501
        'fds_date': 'fdsDate',  # noqa: E501
        'date_list': 'dateList',  # noqa: E501
        'screening_expression': 'screeningExpression',  # noqa: E501
        'fql_expression': 'fqlExpression',  # noqa: E501
        'universal_screen_parameter': 'universalScreenParameter',  # noqa: E501
        'all_universal_screen_parameters': 'allUniversalScreenParameters',  # noqa: E501
    }

    _composed_schemas = {}

    required_properties = set([
        '_data_store',
        '_check_type',
        '_spec_property_naming',
        '_path_to_item',
        '_configuration',
        '_visited_composed_classes',
    ])

    @convert_js_args_to_python_args
    def __init__(self, *args, **kwargs):  # noqa: E501
        """QuantCalculationParameters - a model defined in OpenAPI

        Keyword Args:
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            screening_expression_universe (QuantScreeningExpressionUniverse): [optional]  # noqa: E501
            universal_screen_universe (QuantUniversalScreenUniverse): [optional]  # noqa: E501
            identifier_universe (QuantIdentifierUniverse): [optional]  # noqa: E501
            fds_date (QuantFdsDate): [optional]  # noqa: E501
            date_list (QuantDateList): [optional]  # noqa: E501
            screening_expression ([QuantScreeningExpression]): [optional]  # noqa: E501
            fql_expression ([QuantFqlExpression]): [optional]  # noqa: E501
            universal_screen_parameter ([QuantUniversalScreenParameter]): [optional]  # noqa: E501
            all_universal_screen_parameters ([object]): [optional]  # noqa: E501
        """

        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', False)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        if args:
            raise ApiTypeError(
                "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                    args,
                    self.__class__.__name__,
                ),
                path_to_item=_path_to_item,
                valid_classes=(self.__class__,),
            )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
